Unable to browse Amazon.com with Firefox 3.0.19

jon at jcosby.com jon at jcosby.com
Wed Jun 9 02:37:54 UTC 2010


Quoting "Albert Wagner" <albertwagner at cox.net>:

> I am on Ubuntu 8.0.4/Firefox 3.0.19.

Do you realize Firefox 3.0 is no longer supported? E.g., no security  
updates. Is there any reason you haven't upgraded to 3.6?



Jon




More information about the ubuntu-users mailing list